JoueurAImpl

Package | Class | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## chkoba
Class JoueurAImpl

    java.lang.Object
      java.rmi.server.RemoteObject
          java.rmi.server.RemoteServer
              java.rmi.server.UnicastRemoteObject
                  chkoba.JoueurImpl
                      chkoba.JoueurAImpl

All Implemented Interfaces:
  IJoueur, IJoueurA, java.io.Serializable, java.rmi.Remote

    public class JoueurAImpl

extends JoueurImpl
implements IJoueurA

Classe Joueur Automatique

See Also:
  Serialized Form

Field Summary
`private CarteRamassage` | `c` la carteRamassage affichant ce qui vient d'être ramasse
`private int` | `P_7CARREAU` La priorite de prendre un sept de carreau
`private int` | `p_carreau` La priorite de prendre des carreaux
`private int` | `P_CHKOBA` La priorite de faire une Chkoba
`private int` | `p_sept` La priorite de prendre des septs

Fields inherited from class chkoba.JoueurImpl
`fait, main, nom, plis, point_chkoba, points, pris, vide`

Fields inherited from class java.rmi.server.RemoteObject
`ref`

Constructor Summary
`JoueurAImpl()` Constructeur par defaut
`JoueurAImpl(java.lang.String n)` Constructeur avec un parametre

Method Summary
`java.lang.String` | `affiche()` Afficher le joueur
`boolean` | `carteRamassableAvec(IPlateau plateau, int carteMain, int carteTapis)` Test la compatibilite des cartes
`boolean` | `cinqCartes(ICarte c, IPlateau plateau)` Test les possibilitees de prendre cinq cartes avec la carte en parametre
`int` | `coupsPossibles(IPlateau plateau)` Calcul le minimum de coups possible sur le plateau
`void` | `defausseDeLIA(IPlateau plateau)` Permet de se defausser sur le plateau donne
`boolean` | `deuxCartes(ICarte c, IPlateau plateau)` Test les possibilitees de prendre deux cartes avec la carte en parametre
`void` | `jouer(IPlateau plateau)` Permet de jouer sur le plateau donne
`void` | `majPrio()` Permet de remettre a jour les prioritees
`java.util.ArrayList<ICarte>` | `peuRamasserCarreau(IPlateau plateau, int carteMain, int carteTapis)` Test si l'on peut ramasser un carreau sur le plateau donne
`java.util.ArrayList<ICarte>` | `peuRamasserSept(IPlateau plateau, ICarte carte)` Test si l'on peut ramasser un sept en plus d'autres cartes
`void` | `poser(ICarte c, IPlateau plateau)` Permet de poser une carte donnee sur le plateau donne
`boolean` | `quatreCartes(ICarte c, IPlateau plateau)` Test les possibilitees de prendre quatres cartes avec la carte en parametre
`void` | `ramasse(IPlateau plateau, int carteTapis, int carteMain)` Ramasse une carte sur le plateau donne
`void` | `ramasse(IPlateau plateau, int carteTapis, int carteMain, java.util.ArrayList<ICarte> ramassage)` Ramasse plusieurs cartes sur le plateau donne
`boolean` | `sixCartes(ICarte c, IPlateau plateau)` Test les possibilitees de prendre six cartes avec la carte en parametre
`boolean` | `troisCartes(ICarte c, IPlateau plateau)` Test les possibilitees de prendre trois cartes avec la carte en parametre

Methods inherited from class chkoba.JoueurImpl
`ajoutePlis, chkoba, compareTo, compteCarreaux, comptePoint, compteSept, compteSix, getChkoba, getFait, getMain, getNom, getPlis, getPoint, getPris, getTaillePlis, mainEstVide, septCarreau, setFait, setNom, setPris, setVide`

Methods inherited from class java.rmi.server.UnicastRemoteObject
`clone, exportObject, exportObject, exportObject, unexportObject`

Methods inherited from class java.rmi.server.RemoteServer
`getClientHost, getLog, setLog`

Methods inherited from class java.rmi.server.RemoteObject
`equals, getRef, hashCode, toString, toStub`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Methods inherited from interface chkoba.IJoueurA
`chkoba, getMain, getNom, mainEstVide, setNom, setVide`

Field Detail

### P_CHKOBA

    private final int P_CHKOBA

  La priorite de faire une Chkoba

  See Also:
    Constant Field Values

### P_7CARREAU

    private final int P_7CARREAU

  La priorite de prendre un sept de carreau

  See Also:
    Constant Field Values

### p_carreau

    private int p_carreau

  La priorite de prendre des carreaux

### p_sept

    private int p_sept

  La priorite de prendre des septs

### c

    private CarteRamassage c

  la carteRamassage affichant ce qui vient d'être ramasse

Constructor Detail

### JoueurAImpl

    public JoueurAImpl(java.lang.String n)
                throws java.rmi.RemoteException

  Constructeur avec un parametre

  Parameters:
    `n` - , chaine qui sera le nom du joueur
  Throws:
    `java.rmi.RemoteException`

### JoueurAImpl

    public JoueurAImpl()
                throws java.rmi.RemoteException

  Constructeur par defaut

  Throws:
    `java.rmi.RemoteException`

Method Detail

### poser

    public void poser(ICarte c,
                      IPlateau plateau)
               throws java.rmi.RemoteException

  Permet de poser une carte donnee sur le plateau donne

  Specified by:
    `poser` in interface `IJoueurA`
  Parameters:
    `c` - , la carte a poser
    `plateau` - , le plateau sur lequel poser
  Throws:
    `java.rmi.RemoteException`

### defausseDeLIA

    public void defausseDeLIA(IPlateau plateau)
                       throws java.rmi.RemoteException

  Permet de se defausser sur le plateau donne

  Parameters:
    `plateau` - , le plateau sur lequel se defausser
  Throws:
    `java.rmi.RemoteException`

### jouer

    public void jouer(IPlateau plateau)
               throws java.rmi.RemoteException

  Permet de jouer sur le plateau donne

  Specified by:
    `jouer` in interface `IJoueur`
  Specified by:
    `jouer` in interface `IJoueurA`
  Specified by:
    `jouer` in class `JoueurImpl`
  Parameters:
    `plateau` - , le plateau sur lequel on joue
  Throws:
    `java.rmi.RemoteException`

### majPrio

    public void majPrio()
                 throws java.rmi.RemoteException

  Permet de remettre a jour les prioritees

  Specified by:
    `majPrio` in interface `IJoueurA`
  Throws:
    `java.rmi.RemoteException`

### carteRamassableAvec

    public boolean carteRamassableAvec(IPlateau plateau,
                                       int carteMain,
                                       int carteTapis)
                                throws java.rmi.RemoteException

  Test la compatibilite des cartes

  Specified by:
    `carteRamassableAvec` in interface `IJoueurA`
  Parameters:
    `plateau` - , le plateau qui connait tous les objets
    `carteMain` - , l'index de la carte de la main
    `carteTapis` - , l'index de la carte de la main
  Throws:
    `java.rmi.RemoteException`

### peuRamasserCarreau

    public java.util.ArrayList<ICarte> peuRamasserCarreau(IPlateau plateau,
                                                          int carteMain,
                                                          int carteTapis)
                                                   throws java.rmi.RemoteException

  Test si l'on peut ramasser un carreau sur le plateau donne

  Specified by:
    `peuRamasserCarreau` in interface `IJoueurA`
  Parameters:
    `plateau` - , le plateau qui connait tous les objets
    `carteMain` - , l'index de la carte de la main
    `carteTapis` - , l'index de la carte de la main
  Throws:
    `java.rmi.RemoteException`

### ramasse

    public void ramasse(IPlateau plateau,
                        int carteTapis,
                        int carteMain)
                 throws java.rmi.RemoteException

  Ramasse une carte sur le plateau donne

  Specified by:
    `ramasse` in interface `IJoueurA`
  Parameters:
    `plateau` - , le plateau qui connait tous les objets
    `carteMain` - , l'index de la carte de la main
    `carteTapis` - , l'index de la carte de la main
  Throws:
    `java.rmi.RemoteException`

### ramasse

    public void ramasse(IPlateau plateau,
                        int carteTapis,
                        int carteMain,
                        java.util.ArrayList<ICarte> ramassage)
                 throws java.rmi.RemoteException

  Ramasse plusieurs cartes sur le plateau donne

  Specified by:
    `ramasse` in interface `IJoueurA`
  Parameters:
    `plateau` - , le plateau qui connait tous les objets
    `carteMain` - , l'index de la carte de la main
    `carteTapis` - l'index de la carte de la main
    `ramassage` - , arraylist de cartes a ramasser
  Throws:
    `java.rmi.RemoteException`

### peuRamasserSept

    public java.util.ArrayList<ICarte> peuRamasserSept(IPlateau plateau,
                                                       ICarte carte)
                                                throws java.rmi.RemoteException

  Test si l'on peut ramasser un sept en plus d'autres cartes

  Specified by:
    `peuRamasserSept` in interface `IJoueurA`
  Parameters:
    `plateau` - , le plateau connaissant tous les objets
    `carte` - , la carte avec laquelle on veut ramasser
  Throws:
    `java.rmi.RemoteException`

### affiche

    public java.lang.String affiche()
                             throws java.rmi.RemoteException

  Description copied from class: `JoueurImpl`
  Afficher le joueur

  Specified by:
    `affiche` in interface `IJoueur`
  Specified by:
    `affiche` in interface `IJoueurA`
  Specified by:
    `affiche` in class `JoueurImpl`
  Throws:
    `java.rmi.RemoteException`

### coupsPossibles

    public int coupsPossibles(IPlateau plateau)
                       throws java.rmi.RemoteException

  Calcul le minimum de coups possible sur le plateau

  Specified by:
    `coupsPossibles` in interface `IJoueurA`
  Parameters:
    `plateau` - , le plateau connaissant tous les objets
  Throws:
    `java.rmi.RemoteException`

### deuxCartes

    public boolean deuxCartes(ICarte c,
                              IPlateau plateau)
                       throws java.rmi.RemoteException

  Test les possibilitees de prendre deux cartes avec la carte en parametre

  Specified by:
    `deuxCartes` in interface `IJoueurA`
  Parameters:
    `c` - , la carte sur laquelle on veut tester
    `plateau` - , le plateau connaissant tous les objets
  Throws:
    `java.rmi.RemoteException`

### troisCartes

    public boolean troisCartes(ICarte c,
                               IPlateau plateau)
                        throws java.rmi.RemoteException

  Test les possibilitees de prendre trois cartes avec la carte en parametre

  Specified by:
    `troisCartes` in interface `IJoueurA`
  Parameters:
    `c` - , la carte sur laquelle on veut tester
    `plateau` - , le plateau connaissant tous les objets
  Throws:
    `java.rmi.RemoteException`

### quatreCartes

    public boolean quatreCartes(ICarte c,
                                IPlateau plateau)
                         throws java.rmi.RemoteException

  Test les possibilitees de prendre quatres cartes avec la carte en parametre

  Specified by:
    `quatreCartes` in interface `IJoueurA`
  Parameters:
    `c` - , la carte sur laquelle on veut tester
    `plateau` - , le plateau connaissant tous les objets
  Throws:
    `java.rmi.RemoteException`

### cinqCartes

    public boolean cinqCartes(ICarte c,
                              IPlateau plateau)
                       throws java.rmi.RemoteException

  Test les possibilitees de prendre cinq cartes avec la carte en parametre

  Specified by:
    `cinqCartes` in interface `IJoueurA`
  Parameters:
    `c` - , la carte sur laquelle on veut tester
    `plateau` - , le plateau connaissant tous les objets
  Throws:
    `java.rmi.RemoteException`

### sixCartes

    public boolean sixCartes(ICarte c,
                             IPlateau plateau)
                      throws java.rmi.RemoteException

  Test les possibilitees de prendre six cartes avec la carte en parametre

  Specified by:
    `sixCartes` in interface `IJoueurA`
  Parameters:
    `c` - , la carte sur laquelle on veut tester
    `plateau` - , le plateau connaissant tous les objets
  Throws:
    `java.rmi.RemoteException`

Package | Class | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD